# new

Creates a new instance of a Java class

## Calling Sequence

                class.new([arg1, [, arg2, ...]])

## Parameters

class

  A mlist typed _JClass

argi

  A Scilab data or a mlist typed _JObj

## Description

Creates a new instance of a Java class obtained with jimport.

## Examples

            jimport java.lang.String;
            myString=String.new("The Java Interaction Mechanism in Scilab (JIMS) provides a native-level interface between the two Virtual Machines.")
            myString.concat(" foo")
            myString.contains("Scilab") // True
            myString.contains("Matrix") // False

## See Also

- jnewInstance
- jimport

## History

5.5.0
Function introduced. Based on the 'JIMS' module. The main difference in the behavior compared to the JIMS module is that jautoUnwrap is enabled by default.